# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/chdir.pm) perl(HackaMol.pm) perl(Math/Vector/Real.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/StrictConstructor.pm) perl(Test/Dir.pm) perl(Test/Fatal.pm) perl(Test/Moose.pm) perl(Test/Warn.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name HackaMol-X-Roles-ExtensionRole
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.013
Release: alt1
Summary: Role to assist writing HackaMol extensions to external programs
Group: Development/Perl
License: perl
URL: https://github.com/demianriccardi/HackaMol-X-ExtensionRole

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEMIAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The HackaMol::X::Roles::ExtensionRole includes methods and attributes that are useful for building extensions
with code reuse.  This role will improve as extensions are written and needs arise.  This role is flexible
and can be encapsulated and rigidified in extensions.  Advanced use of extensions should still be able to 
access this flexibility to allow tinkering with internals!  Consumes HackaMol::Roles::ExeRole and HackaMol::Roles::PathRole
... ExeRole may be removed from core and wrapped in here.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE.md README.md README LICENSE
%perl_vendor_privlib/H*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- initial import by package builder

